import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { SalesInvoiceFileImportHelperContainerModel } from '../../../../../../models/aggregates/erp/sales-invoice-file-import/index';
export declare class SalesInvoiceFileImportHelperService extends BaseApiTemplateService<SalesInvoiceFileImportHelperContainerModel> {
    constructor(http: HttpClient);
    updateBackOfficeEp(containers: any[], visa: ApiVisa): Promise<any>;
    resubmitBackOfficeEp(containers: any[], visa: ApiVisa, file_hdr_guid: string): Promise<any>;
}
